# Fn<> GetDefaultRng
Return the default Rng to use in a given class, specialization, or algorithm.

Defined in | <seqan/random.h>
Signature | `GetDefaultRng<T>::Type;`

## Template Parameters

`T` | The type or tag to get the default Rng for.

## Return Values

`Type` | The Rng type to use. Defaults to `std::mt19937` .

## See Also

- defaultRng

#### Dox Sources

    /*!
     * @mfn GetDefaultRng
     *
     * @headerfile <seqan/random.h>
     *
     * @brief Return the default Rng to use in a given class, specialization, or
     *        algorithm.
     *
     * @signature GetDefaultRng<T>::Type;
     *
     * @tparam T The type or tag to get the default Rng for.
     *
     * @return Type The Rng type to use. Defaults to <tt> std::mt19937 </tt>.
     *
     * @see defaultRng
     */